summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorsand <daniel@spatof.org>2011-08-27 01:08:34 (GMT)
committer sand <daniel@spatof.org>2011-08-27 01:08:34 (GMT)
commitde54b9a30fa734a66f27cac30152c7c314507749 (patch)
tree403843361f42c0ee3188c83ebfc87098297e3f81
parent86404d28b65438d0d623810c6bd629246619d2c6 (diff)
pinolerie varie
-rw-r--r--pinolo/__init__.py4
-rw-r--r--pinolo/main.py6
-rw-r--r--setup.py4
3 files changed, 8 insertions, 6 deletions
diff --git a/pinolo/__init__.py b/pinolo/__init__.py
index 7570b89..e19e9dd 100644
--- a/pinolo/__init__.py
+++ b/pinolo/__init__.py
@@ -1,6 +1,6 @@
-VERSION = (0, 1, 1)
+VERSION = (0, 9, 1)
STR_VERSION = '.'.join([str(x) for x in VERSION])
-FULL_VERSION = "pinolo-" + STR_VERSION
+FULL_VERSION = "Pinolo-" + STR_VERSION
DEFAULT_DATABASE_FILENAME = 'db.sqlite'
diff --git a/pinolo/main.py b/pinolo/main.py
index c41d09c..5efc182 100644
--- a/pinolo/main.py
+++ b/pinolo/main.py
@@ -5,7 +5,6 @@ import warnings
warnings.simplefilter('default')
import logging
-
logging.basicConfig(level=logging.INFO,
format="%(asctime)s %(name)s %(levelname)s %(message)s")
logger = logging.getLogger('pinolo')
@@ -13,9 +12,12 @@ logger = logging.getLogger('pinolo')
import optparse
from pinolo.config import read_config_files
from pinolo.irc import BigHead
+from pinolo import FULL_VERSION
def main():
- parser = optparse.OptionParser()
+ parser = optparse.OptionParser(description="%s: "
+ "the naughthy chat bot." % FULL_VERSION,
+ version=FULL_VERSION)
parser.add_option('--config',
help="Path to the configuration file")
parser.add_option('--debug', action="store_true",
diff --git a/setup.py b/setup.py
index 9ae7ccd..6f0e2f3 100644
--- a/setup.py
+++ b/setup.py
@@ -4,11 +4,11 @@ from setuptools import setup, find_packages
setup(
name="pinolo",
- version="0.1",
+ version="0.9",
description="Pinolo, the naughty chat bot",
author="sand",
author_email="daniel@spatof.org",
- url="http://code.dyne.org",
+ url="http://code.dyne.org/?r=pinolo",
# xapian!
install_requires=["gevent>=0.12.2", "SQLAlchemy>=0.6.3"],
setup_requires=[],